[Dell Vostro 3560, Inspiron 5520] fglrx does not provide glx for Radeon HD 7600M Series

Bug #1134028 reported by Yung Shen on 2013-02-27
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Medium
Alberto Milone

Bug Description

cid:201202-10402, 201201-10378

There are no glx support with fglrx_experimental_9 for Advanced Micro Devices [AMD] nee ATI Thames XT/GL [Radeon HD 7600M Series] [1002:6840].

Checking unity compatibility by following command:
$ /usr/lib/nux/unity_support_test -c -p
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 154 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 22
  Current serial number in output stream: 22

Pacakages that installed by jockey:
ii fglrx-amdcccle-experimental-9 2:9.010-0ubuntu0.3 Catalyst Control Center for the AMD graphics accelerators
ii fglrx-experimental-9 2:9.010-0ubuntu0.3 Experimental AMD binary Xorg driver and kernel module
rc fglrx-updates 2:9.000-0ubuntu0.3 Video driver for the AMD graphics accelerators

However it can be fix by using latest stable driver[0] from amd website[1], following this guide:
https://help.ubuntu.com/community/BinaryDriverHowto/ATI

GLX will be loaded without error.

[0]http://www2.ati.com/drivers/linux/amd-driver-installer-catalyst-13.1-linux-x86.x86_64.zip
[1]http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: fglrx (not installed)
ProcVersionSignature: Ubuntu 3.5.0-23.35~precise1-generic 3.5.7.2
Uname: Linux 3.5.0-23-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: None
Date: Wed Feb 27 01:37:19 2013
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: fglrx-experimental-9, 9.010, 3.5.0-23-generic, x86_64: installed
GraphicsCard:
 Intel Corporation Ivy Bridge Graphics Controller [8086:0166] (rev 08) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:056e]
 Advanced Micro Devices [AMD] nee ATI Thames XT/GL [Radeon HD 7600M Series] [1002:6840] (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:056e]
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 (20130213)
JockeyStatus:
 xorg:fglrx_experimental_9 - ATI/AMD proprietary FGLRX graphics driver (**experimental** beta) (Proprietary, Enabled, Not in use)
 xorg:fglrx_updates - ATI/AMD proprietary FGLRX graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
MachineType: Dell Inc. Vostro 3560
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-23-generic root=UUID=644b13de-02c4-40f5-afa6-3b8cbcf262c9 ro quiet splash initcall_debug vt.handoff=7
SourcePackage: fglrx-installer
UnitySupportTest:
 Error: command ['/usr/lib/nux/unity_support_test', '-p', '-f'] failed with exit code 1: X Error of failed request: BadRequest (invalid request code or no such operation)
   Major opcode of failed request: 154 (GLX)
   Minor opcode of failed request: 19 (X_GLXQueryServerString)
   Serial number of failed request: 22
   Current serial number in output stream: 22
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/03/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X44
dmi.board.name: 0C05GV
dmi.board.vendor: Dell Inc.
dmi.board.version: X01
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: X44
dmi.modalias: dmi:bvnDellInc.:bvrX44:bd08/03/2012:svnDellInc.:pnVostro3560:pvrX44:rvnDellInc.:rn0C05GV:rvrX01:cvnDellInc.:ct8:cvrX44:
dmi.product.name: Vostro 3560
dmi.product.version: X44
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.12-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.39-0ubuntu0.1
version.libgl1-mesa-dri: libgl1-mesa-dri N/A
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Yung Shen (kaxing) wrote :
Ara Pulido (ara) on 2013-02-27
tags: added: blocks-hwcert-enablement
Ara Pulido (ara) on 2013-02-27
tags: added: cert-hybrid-graphics certification-grey
removed: blocks-hwcert blocks-hwcert-enablement
TienFu Chen (ctf) on 2013-03-06
tags: added: 201210-11863
Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
importance: Undecided → Medium
Anthony Wong (anthonywong) wrote :

@kaxing
Does jockey suggests fglrx-experimental-12 to you? Please try fglrx-experimental-12 and report if it works or not, thanks.

Yung Shen (kaxing) wrote :

@anthonywong,
yes, jockey shows three drivers:
fglrx_experimental_12
fglrx_experimental_9
fglrx_updates

I've tried all of them, and fglrx-experimental-12 appears the same result, no glx support as well.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers